from django.urls import path, include
from django.contrib import admin
from django.contrib.staticfiles.urls import urlpatterns as static_urlpatterns
from drf_spectacular.views import (
    SpectacularAPIView,
    SpectacularRedocView,
    SpectacularSwaggerView,
)

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/sessions/', include('saas_auth.api_urls.session')),
    path('api/tokens/', include('saas_auth.api_urls.token')),
    path('schema/openapi', SpectacularAPIView.as_view(), name='schema'),
    path('schema/swagger-ui/', SpectacularSwaggerView.as_view(url_name='schema'), name='swagger-ui'),
    path('schema/redoc/', SpectacularRedocView.as_view(url_name='schema'), name='redoc'),
] + static_urlpatterns
